Package ghidra.program.util

# Class GroupView

java.lang.Object
ghidra.program.util.GroupView

All Implemented Interfaces:
  `Serializable`

public class GroupView extends Object implements Serializable
Class to define a selection of GroupPath objects.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GroupView(GroupPath path)`
  Constructor for a single path in the view.
  `GroupView(GroupPath[] paths)`
  Constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addPath(GroupPath path)`
  Add the given group path to this view.
  `boolean`
  `equals(Object obj)`
  Test if the given object is equal to this.
  `int`
  `getCount()`
  Get the number of paths in the view
  `GroupPath`
  `getPath(int index)`
  Get the path at the specified index.
  `String`
  `toString()`
  Return string representation for this object.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### GroupView

    public GroupView(GroupPath[] paths)
    Constructor
    Parameters:
      `paths` - paths in the view

  - ### GroupView

    public GroupView(GroupPath path)
    Constructor for a single path in the view.
    Parameters:
      `path` - the path that is used to create this view.

- ## Method Details

  - ### addPath

    public void addPath(GroupPath path)
    Add the given group path to this view.
    Parameters:
      `path` - path to add

  - ### getCount

    public int getCount()
    Get the number of paths in the view

  - ### getPath

    public GroupPath getPath(int index)
    Get the path at the specified index.
    Parameters:
      `index` - the index of the desired path in the view.
    Throws:
      `ArrayIndexOutOfBoundsException` - if index is invalid.

  - ### equals

    public boolean equals(Object obj)
    Test if the given object is equal to this.
    Overrides:
      `equals` in class `Object`

  - ### toString

    public String toString()
    Return string representation for this object.
    Overrides:
      `toString` in class `Object`